DEPS=$(OBJS:.o=.d)

all: $(TARGET) $(LIBTARGET) $(OBJS)

ifneq ($(TARGET),)
$(TARGET): $(OBJS) $(LIBS)
	$(CC) $(LDFLAGS) -o $@ $^
endif

ifneq ($(LIBTARGET),)
$(LIBTARGET): $(OBJS)
	$(AR) -r $@ $^
	$(RANLIB) $@
endif

-include $(DEPS)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(<F)

clean:
	rm -f $(OBJS) $(DEPS) $(TARGET) $(LIBTARGET)
