#ifndef GAME_DIRECTOR_009162
#define GAME_DIRECTOR_009162

#include "Global.h"
#include "Entities.h"
struct GameWorld;

struct Director {
	//ptr to game world
	GameWorld *owner;
	//game time since creation
	double gametime;

	inline Director(GameWorld *_owner)
		 : owner(_owner), gametime(0.0) {}

	void Init();
	void PassTime(double deltatime);

private:
	void SpawnDrone(double2 position);
	void SpawnShooter(double2 position);
	void SpawnSpeedy(double2 direction);
	void SpawnWall(int num);
	void SpawnDodger(double2 position);

	void ControlPopulation(int maxcnt);
};

#endif
